//+------------------------------------------------------------------+
//|                                      Pair Difference In Pips.mq4 |
//|                      Copyright  2011, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright  2011, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"

#property indicator_separate_window
#property indicator_buffers 2
#property indicator_color1 DodgerBlue
#property indicator_color2 Red


extern string     FirstSymbol  = "";
extern string     SecondSymbol = "XXXXXX";

string m="";

double curr1,curr2,t1,t2,acum1,acum2;
double buffer1[],buffer2[];
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
      m = StringSubstr(Symbol(),6,StringLen(Symbol())-6);
      SecondSymbol = SecondSymbol+m;
      if (FirstSymbol == "" )
         FirstSymbol = Symbol();
      else
         FirstSymbol = FirstSymbol+m;
      
     t1 = (iMA(FirstSymbol,0,1,0,0,4,0)/MarketInfo(FirstSymbol,MODE_POINT));
     t2 = (iMA(SecondSymbol,0,1,0,0,4,0)/MarketInfo(SecondSymbol,MODE_POINT));       
//---- indicators
   SetIndexBuffer(0,buffer1);
   SetIndexStyle(0,DRAW_LINE);
   SetIndexLabel(0,FirstSymbol);
   
   SetIndexBuffer(1,buffer2);
   SetIndexStyle(1,DRAW_LINE);
   SetIndexLabel(1,SecondSymbol);
   
   IndicatorShortName("PairDiff "+StringSubstr(FirstSymbol,0,6)+" | "+StringSubstr(SecondSymbol,0,6)+"   ");
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   
   int    i,counted_bars=IndicatorCounted();
   if(counted_bars>0) counted_bars--;
      int limit=Bars-counted_bars;
      
            for(i=limit; i>=0; i--)
               {
                  curr1 = (iMA(FirstSymbol,0,1,0,0,4,i)/MarketInfo(FirstSymbol,MODE_POINT))-t1;
                  curr2 = (iMA(SecondSymbol,0,1,0,0,4,i)/MarketInfo(SecondSymbol,MODE_POINT))-t2;
                  acum1 = acum1+curr1;
                  acum2 = acum2+curr2;
                  buffer1[i] = acum1;
                  buffer2[i] = acum2; 
                  t1 = (iMA(FirstSymbol,0,1,0,0,4,i)/MarketInfo(FirstSymbol,MODE_POINT));
                  t2 = (iMA(SecondSymbol,0,1,0,0,4,i)/MarketInfo(SecondSymbol,MODE_POINT));        
    
               }
           //Comment (i,"  ", t1,"  ",t2);      
   return(0);
  }
//+------------------------------------------------------------------+